LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XSessionManagerListener2 Interface Reference

`import"XSessionManagerListener2.idl";`

Inheritance diagram for XSessionManagerListener2:

## Public Member Functions
void | doQuit ()
| doQuit gets called when the session manager has decided the application should quit. More...
Public Member Functions inherited from XSessionManagerListener
void | doSave ([in] boolean bShutdown, [in] boolean bCancelable)
| doSave gets called when a save event was issued by the session manager the listener should do what is necessary to restore the current state of the application More...
void | approveInteraction ([in] boolean bInteractionGranted)
| approveInteraction is called when an outstanding interaction request was processed by the session manager More...
void | shutdownCanceled ()
| shutdownCanceled is called when a shutdown was canceled by the user The listener can cancel his saving operations. More...
boolean | doRestore ()
| returns true, if a session was restored More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Member Function Documentation

## ◆ doQuit()

void doQuit | ( |  | ) |

doQuit gets called when the session manager has decided the application should quit.

Under these circumstances bringing up further UI will usually be impossible and must be avoided.

The documentation for this interface was generated from the following file:

- com/sun/star/frame/XSessionManagerListener2.idl